Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.wtc.gwt
Class genpasswd

    java.lang.Object
      |
      +--weblogic.wtc.gwt.genpasswd

public final class genpasswd
extends java.lang.Object

This class is a utility function that takes a key, a password and the type of password and generates a line that can be used in the bdmconfig.xml configuration file. The password will have been encrypted with the key. Note that the key field must be the same key used with the PasswordKey property in the WTCService class. Hence, passwords for the remote or local domain is never stored in text, nor is the application password stored in text in the bdmconfig.xml file. The usage of this utility is

`genpasswd key password {local|remote|application}`

The third argument has the following meaning:

- local - A local password element is generated, which can be stored in a T_DM_PASSWORD object in the bdmconfig.xml file
- remote - A remote password element is generated, which can be stored in a T_DM_PASSWORD object in the bdmconfig.xml file
- application - An application password element is generated, which can be stored in the T_DM_RESOURCES object in the bdmconfig.xml file

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`genpasswd()`

Method Summary
`static void` | `main(java.lang.String[] args)` The starting point for this utility.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### genpasswd

    public genpasswd()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  The starting point for this utility. The utility has the following prototype:

  `genpasswd key password {local|remote|application}`

  key is the same key passed in the PasswordKey property in the WTCService class. password is the actual password to be stored in the bdmconfig.xml file and the {local|remote|application} choice determines the type of field this password is to be used for. See the class description for more details.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD